function waventropy_testing;
%%saw
firstrun=1;
for step=0.7:-0.1:0.1
    x=1:0.1:100;
    x2=100:-step:1;
    xones=ones(1,200);
    %Y1=[x,xones,reverse(x),xones*100,x,xones,reverse(x)];%random('unif',99,100,size(x))
    Y1=[x,x2,reverse(x2),x2,x,x2,reverse(x2),x2,x,x2,reverse(x2),x2,x];%random('unif',99,100,size(x))
    
    %x=ones(1,500)*1;
    %Y1=[x,2*x,x,2*x];%random('unif',99,100,size(x))
    
    wtype=3;
    wetype=1;
    plotOn=0;
    
    [SWT,POWER,Pj]=waventropy(Y1,wtype,wetype,0,1,250);%80,200);%74,76);%244,246);
    if (firstrun)
        firstrun=0;
        figure;
        mesh01=subplot(2,1,1);
        ax1=mesh(POWER);
        [n,m]=size(POWER);
        hold on;
        inseries=subplot(2,1,2);
        plot(Y1);
        cp=get(mesh01,'CameraPosition');
        savemeshfigure(gcf,100,step,'wavefig.bmp');
    else
        axes(mesh01);
        ax1=mesh(POWER);
        [n,m]=size(POWER);
        axes(inseries);
        plot(Y1);
        set(mesh01,'CameraPosition',cp);
        savemeshfigure(gcf,100,step,'wavefig.bmp');

    end
end
